Index: trunk/libIGCM/libIGCM_sys/libIGCM_sys_ada.ksh
===================================================================
--- trunk/libIGCM/libIGCM_sys/libIGCM_sys_ada.ksh	(revision 1178)
+++ trunk/libIGCM/libIGCM_sys/libIGCM_sys_ada.ksh	(revision 1179)
@@ -2551,14 +2541,14 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncra -C $@ > ${RUN_DIR_PATH}/out_command.$$ 2>&1
+    ncra -C $@ > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncra : error code ${status}"
-      cat ${RUN_DIR_PATH}/out_command.$$
-      \rm ${RUN_DIR_PATH}/out_command.$$
+      cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       IGCM_debug_Print 2 "IGCM_sys_ncra : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm ${RUN_DIR_PATH}/out_command.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       break
     fi
@@ -2593,24 +2583,24 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncrcat -C $@ > ${RUN_DIR_PATH}/out_command.$$ 2>&1
+    ncrcat -C $@ > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncrcat : error code ${status}"
-      cat ${RUN_DIR_PATH}/out_command.$$
-      \rm ${RUN_DIR_PATH}/out_command.$$
+      cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       IGCM_debug_Print 2 "IGCM_sys_ncrcat : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
-    elif [ ! "X$( grep "WARNING Intra-file non-monotonicity" ${RUN_DIR_PATH}/out_command.$$ )" = "X" ] ; then
+    elif [ ! "X$( grep "WARNING Intra-file non-monotonicity" ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ )" = "X" ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncrcat : WARNING Intra-file non-monotonicity"
-      cat ${RUN_DIR_PATH}/out_command.$$
+      cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       # remove files having corrupted time axis
       eval lastArg=\${$#}
       IGCM_debug_Print 2 "IGCM_sys_ncrcat : Delete ${lastArg}"
       \rm ${lastArg}
-      \rm ${RUN_DIR_PATH}/out_command.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       IGCM_debug_Print 2 "IGCM_sys_ncrcat : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm ${RUN_DIR_PATH}/out_command.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       break
     fi
@@ -2645,14 +2635,14 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncrename $@ > ${RUN_DIR_PATH}/out_command.$$ 2>&1
+    ncrename $@ > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncrename : error code ${status}"
-      cat ${RUN_DIR_PATH}/out_command.$$
-      \rm ${RUN_DIR_PATH}/out_command.$$
+      cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       IGCM_debug_Print 2 "IGCM_sys_ncrename : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm ${RUN_DIR_PATH}/out_command.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       break
     fi
@@ -2687,14 +2677,14 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncwa -C $@ > ${RUN_DIR_PATH}/out_command.$$ 2>&1
+    ncwa -C $@ > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncwa : error code ${status}"
-      cat ${RUN_DIR_PATH}/out_command.$$
-      \rm ${RUN_DIR_PATH}/out_command.$$
+      cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       IGCM_debug_Print 2 "IGCM_sys_ncwa : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm ${RUN_DIR_PATH}/out_command.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       break
     fi
@@ -2726,10 +2716,10 @@
   typeset status
 
-  \cdo $@ > ${RUN_DIR_PATH}/out_command.$$ 2>&1
+  \cdo $@ > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
   status=$?
   if [ ${status} -gt 0 ] ; then
     echo "IGCM_sys_cdo : error code ${status}"
-    cat ${RUN_DIR_PATH}/out_command.$$
-    \rm ${RUN_DIR_PATH}/out_command.$$
+    cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
+    \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
     IGCM_debug_PopStack "IGCM_sys_cdo"
     return 1
